step_zv {recipes} | R Documentation

## Zero Variance Filter

### Description

`step_zv` creates a specification of a recipe step that will remove variables that contain only a single value.

### Usage

    step_zv(recipe, ..., role = NA, trained = FALSE, removals = NULL,
      skip = FALSE, id = rand_id("zv"))

    ## S3 method for class 'step_zv'
    tidy(x, ...)

### Arguments

`recipe` | A recipe object. The step will be added to the sequence of operations for this recipe.
`...` | One or more selector functions to choose which variables that will evaluated by the filtering. See `selections()` for more details. For the `tidy` method, these are not currently used.
`role` | Not used by this step since no new variables are created.
`trained` | A logical to indicate if the quantities for preprocessing have been estimated.
`removals` | A character string that contains the names of columns that should be removed. These values are not determined until `prep.recipe()` is called.
`skip` | A logical. Should the step be skipped when the recipe is baked by `bake.recipe()`? While all operations are baked when `prep.recipe()` is run, some operations may not be able to be conducted on new data (e.g. processing the outcome variable(s)). Care should be taken when using `skip = TRUE` as it may affect the computations for subsequent operations
`id` | A character string that is unique to this step to identify it.
`x` | A `step_zv` object.

### Value

An updated version of `recipe` with the new step added to the sequence of existing steps (if any). For the `tidy` method, a tibble with columns `terms` which is the columns that will be removed.

### See Also

`step_nzv()` `step_corr()` `recipe()` `prep.recipe()` `bake.recipe()`

### Examples

    data(biomass)

    biomass$one_value <- 1

    biomass_tr <- biomass[biomass$dataset == "Training",]
    biomass_te <- biomass[biomass$dataset == "Testing",]

    rec <- recipe(HHV ~ carbon + hydrogen + oxygen +
                        nitrogen + sulfur + one_value,
                  data = biomass_tr)

    zv_filter <- rec %>%
      step_zv(all_predictors())

    filter_obj <- prep(zv_filter, training = biomass_tr)

    filtered_te <- bake(filter_obj, biomass_te)
    any(names(filtered_te) == "one_value")

    tidy(zv_filter, number = 1)
    tidy(filter_obj, number = 1)

[Package recipes version 0.1.5 Index]